com.collabnet.ce.soap60.webservices.rbac

## Class RoleRequestSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.rbac.RoleRequestSoapRow

-     public class RoleRequestSoapRow
      extends Object

  A list of Role Requests.
  Since:
    6.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleRequestSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCreatedByUserFullName()` Returns 'createdByUserFullName'.
    `String` | `getCreatedByUsername()` Returns 'createdByUsername'.
    `Date` | `getCreatedDate()` Returns 'createdDate'.
    `String` | `getId()` Returns 'id'.
    `Date` | `getLastModifiedDate()` Returns 'LastModifiedDate'.
    `String` | `getLastModifiedUserFullName()` Returns 'LastModifiedUserFullName'.
    `String` | `getLastModifiedUsername()` Returns 'LastModifiedUsername'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getProjetPath()` Returns 'projetPath'.
    `String` | `getProjetTitle()` Returns 'projetTitle'.
    `String` | `getRoleId()` Returns 'roleId'.
    `String` | `getRoleType()` Returns 'roleType'.
    `String` | `getStatus()` Returns 'status'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCreatedByUserFullName(String createdByUserFullName)` Sets 'createdByUserFullName'.
    `void` | `setCreatedByUsername(String createdByUsername)` Sets 'createdByUsername'.
    `void` | `setCreatedDate(Date createdDate)` Sets 'createdDate'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setLastModifiedDate(Date LastModifiedDate)` Sets 'LastModifiedDate'.
    `void` | `setLastModifiedUserFullName(String LastModifiedUserFullName)` Sets 'LastModifiedUserFullName'.
    `void` | `setLastModifiedUsername(String LastModifiedUsername)` Sets 'LastModifiedUsername'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setProjetPath(String projetPath)` Sets 'projetPath'.
    `void` | `setProjetTitle(String projetTitle)` Sets 'projetTitle'.
    `void` | `setRoleId(String roleId)` Sets 'roleId'.
    `void` | `setRoleType(String roleType)` Sets 'roleType'.
    `void` | `setStatus(String status)` Sets 'status'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleRequestSoapRow

          public RoleRequestSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The Request key
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The Request key
      Parameters:
        `id` - Value of 'id'.

    - #### getRoleId

          public String getRoleId()

      Returns 'roleId'. The id of the role
      Returns:
        Value of 'roleId'.

    - #### setRoleId

          public void setRoleId(String roleId)

      Sets 'roleId'. The id of the role
      Parameters:
        `roleId` - Value of 'roleId'.

    - #### getRoleType

          public String getRoleType()

      Returns 'roleType'. Type of the role
      Returns:
        Value of 'roleType'.

    - #### setRoleType

          public void setRoleType(String roleType)

      Sets 'roleType'. Type of the role
      Parameters:
        `roleType` - Value of 'roleType'.

    - #### getProjetPath

          public String getProjetPath()

      Returns 'projetPath'. Path of the project
      Returns:
        Value of 'projetPath'.

    - #### setProjetPath

          public void setProjetPath(String projetPath)

      Sets 'projetPath'. Path of the project
      Parameters:
        `projetPath` - Value of 'projetPath'.

    - #### getProjetTitle

          public String getProjetTitle()

      Returns 'projetTitle'. Title of the project
      Returns:
        Value of 'projetTitle'.

    - #### setProjetTitle

          public void setProjetTitle(String projetTitle)

      Sets 'projetTitle'. Title of the project
      Parameters:
        `projetTitle` - Value of 'projetTitle'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. project id to which the role got associated.
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. project id to which the role got associated.
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getCreatedByUsername

          public String getCreatedByUsername()

      Returns 'createdByUsername'. user's name who created the role.
      Returns:
        Value of 'createdByUsername'.

    - #### setCreatedByUsername

          public void setCreatedByUsername(String createdByUsername)

      Sets 'createdByUsername'. user's name who created the role.
      Parameters:
        `createdByUsername` - Value of 'createdByUsername'.

    - #### getCreatedByUserFullName

          public String getCreatedByUserFullName()

      Returns 'createdByUserFullName'. Full name of the user.
      Returns:
        Value of 'createdByUserFullName'.

    - #### setCreatedByUserFullName

          public void setCreatedByUserFullName(String createdByUserFullName)

      Sets 'createdByUserFullName'. Full name of the user.
      Parameters:
        `createdByUserFullName` - Value of 'createdByUserFullName'.

    - #### getCreatedDate

          public Date getCreatedDate()

      Returns 'createdDate'. role request created date.
      Returns:
        Value of 'createdDate'.

    - #### setCreatedDate

          public void setCreatedDate(Date createdDate)

      Sets 'createdDate'. role request created date.
      Parameters:
        `createdDate` - Value of 'createdDate'.

    - #### getLastModifiedUsername

          public String getLastModifiedUsername()

      Returns 'LastModifiedUsername'. user's name who modified the role last.
      Returns:
        Value of 'LastModifiedUsername'.

    - #### setLastModifiedUsername

          public void setLastModifiedUsername(String LastModifiedUsername)

      Sets 'LastModifiedUsername'. user's name who modified the role last.
      Parameters:
        `LastModifiedUsername` - Value of 'LastModifiedUsername'.

    - #### getLastModifiedUserFullName

          public String getLastModifiedUserFullName()

      Returns 'LastModifiedUserFullName'. Full name of the user who modified the role last.
      Returns:
        Value of 'LastModifiedUserFullName'.

    - #### setLastModifiedUserFullName

          public void setLastModifiedUserFullName(String LastModifiedUserFullName)

      Sets 'LastModifiedUserFullName'. Full name of the user who modified the role last.
      Parameters:
        `LastModifiedUserFullName` - Value of 'LastModifiedUserFullName'.

    - #### getLastModifiedDate

          public Date getLastModifiedDate()

      Returns 'LastModifiedDate'. last modified date.
      Returns:
        Value of 'LastModifiedDate'.

    - #### setLastModifiedDate

          public void setLastModifiedDate(Date LastModifiedDate)

      Sets 'LastModifiedDate'. last modified date.
      Parameters:
        `LastModifiedDate` - Value of 'LastModifiedDate'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. status of the request
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. status of the request
      Parameters:
        `status` - Value of 'status'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.